Package twisted :: Package web :: Module vhost :: Class VirtualHostCollection

[frames | no frames]

## Class VirtualHostCollection

    Collection --+
                 |
       Constrained --+
                     |
            Homogenous --+
                         |
                        VirtualHostCollection

Wrapper for virtual hosts collection.

This exists for configuration purposes.

Method Summary
| `__init__(self, nvh)`
| ``delEntity`(self, name)` Remove a static reference for 'name'.
| ``getStaticEntity`(self, name)` Get an entity that was added to me using putEntity.
| ``listStaticEntities`(self)` Retrieve a list of all name, entity pairs that I store references to.
| `reallyPutEntity(self, name, entity)`
Inherited from Homogenous
| ``entityConstraint`(self, entity)` A method that determines whether an entity may be added to me.
| ``getEntityType`(self)`
| ``getNameType`(self)`
Inherited from Constrained
| ``nameConstraint`(self, name)` A method that determines whether an entity may be added to me with a given name.
| ``putEntity`(self, name, entity)` Store an entity if it meets both constraints.
Inherited from Collection
| ``getDynamicEntity`(self, name, request)` Subclass this to generate an entity on demand.
| ``getEntity`(self, name, request)` Retrieve an entity from me.
| ``listDynamicEntities`(self, request)` A list of all name, entity that I can generate on demand.
| ``listDynamicNames`(self)` Retrieve a list of the names of entities that I store references to.
| ``listEntities`(self, request)` Retrieve a list of all name, entity pairs I contain.
| ``listNames`(self, request)` Retrieve a list of all names for entities that I contain.
| ``listStaticNames`(self)` Retrieve a list of the names of entities that I store references to.
| ``removeEntity`(self, name, request)` Remove an entity for 'name', based on the content of 'request'.
| ``storeEntity`(self, name, request)` Store an entity for 'name', based on the content of 'request'.

Class Variable Summary
`class` | `entityType` = `twisted.web.resource.Resource`

Method Details

### delEntity(self, name)

Remove a static reference for 'name'.

Raises a KeyError if the operation fails.

  Overrides:
    `twisted.python.roots.Collection.delEntity` (inherited documentation)

### getStaticEntity(self, name)

Get an entity that was added to me using putEntity.

This method will return 'None' if it fails.

  Overrides:
    `twisted.python.roots.Collection.getStaticEntity` (inherited documentation)

### listStaticEntities(self)

Retrieve a list of all name, entity pairs that I store references to.

See getStaticEntity.

  Overrides:
    `twisted.python.roots.Collection.listStaticEntities` (inherited documentation)

Generated by Epydoc 2.0 on Sat May 15 20:07:43 2004 | http://epydoc.sf.net